RK-J - Feature #2667

Tweaks to 2618
10/25/2022 09:21 AM - Ram Kordale

Status: Closed Start date: 10/25/2022
Priority: Urgent Due date: 10/26/2022
Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 2.00 hours
Target version: 1-RK-J-1 Spent time: 0.00 hour
Description

ES matches search terms in section names, content etc based on settings.

With 2618 fix, when ES matches a section name, it removes results where the actual match is in section name at level D1 which is
not at the deepest (leaf) level. This results in undesired user experience such as the example below.

Select 'Python 3 Doc: All' and search for "pop". No entries are returned. Ideally, 15 top entries should be returned.

So, the required change is as follows: instead of removing entries with match in non-leaf section name, move them lower in search
result order.

For example, if there are results s1,s2,s3,s4,...,sk,sl,...sn. For simplicity, suppose all odd results have match in leaf section name and
suppose n is even. Then, the results will be reordered to s1,s3,s5,...,sn-1,52,54,s6,...,sn. Note that ordering between all odd entries
and even entries are maintained. However, all even entries are placed after all the odd entries. As usual, the top 15 entries from the
above entries will be shown to the user.

History

#1 - 10/25/2022 10:14 AM - Venmuhilan B
- Status changed from New to In Progress

- Assignee set to Venmubhilan B

#2 - 10/25/2022 02:32 PM - Venmuhilan B
- % Done changed from 0 to 90

#3 - 10/26/2022 04:45 AM - Ram Kordale
- Description updated

- Status changed from In Progress to New
- Assignee deleted (Venmubhilan B)

- % Done changed from 90 to 0

#4 - 10/26/2022 04:58 AM - Ayush Khandelwal
- Due date set to 10/26/2022
- Assignee set to Venmubhilan B

- Estimated time set to 2.00 h

#5 - 10/26/2022 05:24 AM - Venmuhilan B
- Status changed from New to Resolved

- % Done changed from 0 to 100

#6 - 10/26/2022 11:31 AM - Venmuhilan B
- Status changed from Resolved to Feedback

- Assignee changed from Venmuhilan B to Ayush Khandelwal

#7 - 11/25/2022 04:11 AM - Ayush Khandelwal

- Assignee changed from Ayush Khandelwal to Ram Kordale
#8 - 03/02/2023 06:35 AM - Ram Kordale
- Status changed from Feedback to Closed
